function  WWHBookData_Files(P)
{
P.fA("OpenEdge Replication User Guide","ffr-1-1.html");
P.fA("Preface","ffr-2-1.html");
P.fA("Overview of OpenEdge Replication","ffr-3-01.html");
P.fA("What is OpenEdge Replication","ffr-3-02.html");
P.fA("Primary benefits","ffr-3-03.html");
P.fA("Key features","ffr-3-04.html");
P.fA("OpenEdge Replication terminology and architecture","ffr-3-05.html");
P.fA("Primary and secondary databases","ffr-3-06.html");
P.fA("Source and target databases","ffr-3-07.html");
P.fA("OpenEdge Replication property files","ffr-3-08.html");
P.fA("Source and target architecture requirements","ffr-3-09.html");
P.fA("OpenEdge Replication server","ffr-3-10.html");
P.fA("OpenEdge Replication agent","ffr-3-11.html");
P.fA("Using synchronous or asynchronous replication","ffr-3-12.html");
P.fA("OpenEdge Replication failure processing","ffr-3-13.html");
P.fA("Synchronization","ffr-3-14.html");
P.fA("Server failure recovery","ffr-3-15.html");
P.fA("Agent failure recovery","ffr-3-16.html");
P.fA("Special database considerations","ffr-3-17.html");
P.fA("Database integrity","ffr-3-18.html");
P.fA("Database availability","ffr-3-19.html");
P.fA("Enhanced Read-Only mode","ffr-3-20.html");
P.fA("Schema lock","ffr-3-21.html");
P.fA("Forced truncation of the source database before-image file","ffr-3-22.html");
P.fA("Target quiet points","ffr-3-23.html");
P.fA("Planning for OpenEdge Replication","ffr-4-01.html");
P.fA("Preliminary planning tasks","ffr-4-02.html");
P.fA("Creating a database backup plan","ffr-4-03.html");
P.fA("Evaluating your production database","ffr-4-04.html");
P.fA("OpenEdge Replication and after-imaging","ffr-4-05.html");
P.fA("After-image extents","ffr-4-06.html");
P.fA("Calculating current after-image volume","ffr-4-07.html");
P.fA("Replication and after-image extents","ffr-4-08.html");
P.fA("After-image extent sizing on a source database","ffr-4-09.html");
P.fA("Calculating fixed after-image extent size","ffr-4-10.html");
P.fA("Using variable extents","ffr-4-11.html");
P.fA("Determining OpenEdge Replication network bandwidth","ffr-4-12.html");
P.fA("Estimating network bandwidth","ffr-4-13.html");
P.fA("Anticipating additional network overhead","ffr-4-14.html");
P.fA("Additional references","ffr-4-15.html");
P.fA("Additional business considerations","ffr-4-16.html");
P.fA("Latency","ffr-4-17.html");
P.fA("Acceptable target database downtime","ffr-4-18.html");
P.fA("Appropriate failover behavior","ffr-4-19.html");
P.fA("Limitations and restrictions","ffr-4-20.html");
P.fA("Ensuring success when using after-imaging","ffr-4-21.html");
P.fA("OpenEdge Replication and after-imaging: a summary","ffr-4-22.html");
P.fA("Implementing OpenEdge Replication","ffr-5-01.html");
P.fA("Choosing the implementation method","ffr-5-02.html");
P.fA("Using the default implementation","ffr-5-03.html");
P.fA("Using the deferred agent startup implementation","ffr-5-04.html");
P.fA("Setting up the source database for OpenEdge Replication","ffr-5-05.html");
P.fA("Setting up the source database (offline backup)","ffr-5-06.html");
P.fA("Setting up the source database (online backup)","ffr-5-07.html");
P.fA("Setting up the target database","ffr-5-08.html");
P.fA("Configuring the OpenEdge Replication property files","ffr-5-09.html");
P.fA("Configuring the source database property file","ffr-5-10.html");
P.fA("Configuring the target database property file","ffr-5-11.html");
P.fA("Starting OpenEdge Replication","ffr-5-12.html");
P.fA("Starting the source database","ffr-5-13.html");
P.fA("Starting the target database","ffr-5-14.html");
P.fA("Message logging during startup","ffr-5-15.html");
P.fA("Restoring source and target databases","ffr-5-16.html");
P.fA("OpenEdge Replication startup and initialization process","ffr-5-17.html");
P.fA("Database connection considerations","ffr-5-18.html");
P.fA("Database access once OpenEdge Replication is running","ffr-5-19.html");
P.fA("Target database access","ffr-5-20.html");
P.fA("Source database access","ffr-5-21.html");
P.fA("Stopping OpenEdge Replication","ffr-5-22.html");
P.fA("Shutting down the source database","ffr-5-23.html");
P.fA("Shutting down the target database","ffr-5-24.html");
P.fA("Shutting down the OpenEdge Replication server","ffr-5-25.html");
P.fA("Terminating the OpenEdge Replication agent","ffr-5-26.html");
P.fA("Emptying AI extents on the source database","ffr-5-27.html");
P.fA("Latency reporting","ffr-5-28.html");
P.fA("OpenEdge Replication server perspective","ffr-5-29.html");
P.fA("OpenEdge Replication agent perspective","ffr-5-30.html");
P.fA("OpenEdge Replication utilities and commands","ffr-5-31.html");
P.fA("Normal OpenEdge Replication activity","ffr-5-32.html");
P.fA("Normal source database activity","ffr-5-33.html");
P.fA("Normal target database activity","ffr-5-34.html");
P.fA("Choosing a hot standby database","ffr-5-35.html");
P.fA("Handling OpenEdge Replication failure conditions","ffr-5-36.html");
P.fA("Database crash","ffr-5-37.html");
P.fA("Lost connection","ffr-5-38.html");
P.fA("Transitioning to the target database","ffr-5-39.html");
P.fA("Configuring transition","ffr-5-40.html");
P.fA("Transition processing","ffr-5-41.html");
P.fA("Manually applying after-image extents","ffr-5-42.html");
P.fA("Re-enabling OpenEdge Replication after transition","ffr-5-43.html");
P.fA("OpenEdge Replication: From Failure to Recovery","ffr-6-01.html");
P.fA("Overview of database failure recovery","ffr-6-02.html");
P.fA("OpenEdge Replication failure recovery terminology","ffr-6-03.html");
P.fA("The OpenEdge Replication property files","ffr-6-04.html");
P.fA("Transition ","ffr-6-05.html");
P.fA("Enhancements to transition functionality","ffr-6-06.html");
P.fA("Planning for transition","ffr-6-07.html");
P.fA("How OpenEdge Replication works","ffr-6-08.html");
P.fA("Step 1: Primary replication before a failure","ffr-6-09.html");
P.fA("Step 2: Primary machine failure","ffr-6-10.html");
P.fA("Step 3: Entering pretransition","ffr-6-11.html");
P.fA("Step 4: Transitioning the target database to a source database","ffr-6-12.html");
P.fA("Step 5: Failover","ffr-6-13.html");
P.fA("Step 6: Primary machine repair complete","ffr-6-14.html");
P.fA("Step 7: Initiating primary database transition","ffr-6-15.html");
P.fA("Step 8: Secondary replication is performed","ffr-6-16.html");
P.fA("Step 9: The Replication failback process","ffr-6-17.html");
P.fA("Recovery from transition failures","ffr-6-18.html");
P.fA("Transition logging","ffr-6-19.html");
P.fA("Transition properties","ffr-6-20.html");
P.fA("Setting transition properties","ffr-6-21.html");
P.fA("Sample startup parameter file","ffr-6-22.html");
P.fA("Source database startup parameter file","ffr-6-23.html");
P.fA("Target database startup parameter file","ffr-6-24.html");
P.fA("Normal database startup parameter file","ffr-6-25.html");
P.fA("Reference","ffr-6-26.html");
P.fA("Transition command actions","ffr-6-27.html");
P.fA("Transition properties summary","ffr-6-28.html");
P.fA("Reference","ffr-7-01.html");
P.fA("OpenEdge Replication property files","ffr-7-02.html");
P.fA("Sample OpenEdge Replication source properties file","ffr-7-03.html");
P.fA("Sample OpenEdge Replication target properties file","ffr-7-04.html");
P.fA("Sample OpenEdge Replication combined properties file","ffr-7-05.html");
P.fA("OpenEdge Replication properties","ffr-7-06.html");
P.fA("Server properties","ffr-7-07.html");
P.fA("Control agent properties","ffr-7-08.html");
P.fA("Agent properties","ffr-7-09.html");
P.fA("DSRUTIL utility","ffr-7-10.html");
P.fA("DSRUTIL applyextent qualifier","ffr-7-11.html");
P.fA("DSRUTIL canceldefer server qualifier","ffr-7-12.html");
P.fA("DSRUTIL connectagent database qualifier","ffr-7-13.html");
P.fA("DSRUTIL disablesitereplication qualifier","ffr-7-14.html");
P.fA("DSRUTIL monitor qualifier","ffr-7-15.html");
P.fA("DSRUTIL recovery qualifier","ffr-7-16.html");
P.fA("DSRUTIL relwaits qualifier","ffr-7-17.html");
P.fA("DSRUTIL restart server qualifier","ffr-7-18.html");
P.fA("DSRUTIL startagent database qualifier","ffr-7-19.html");
P.fA("DSRUTIL status qualifier","ffr-7-20.html");
P.fA("When the detail argument is not used","ffr-7-21.html");
P.fA("DSRUTIL terminate qualifier","ffr-7-22.html");
P.fA("DSRUTIL transition qualifier","ffr-7-23.html");
P.fA("DSRUTIL triggertransition qualifier","ffr-7-24.html");
P.fA("OpenEdge Replication DSRUTIL MONITOR","ffr-7-25.html");
P.fA("Startup menu","ffr-7-26.html");
P.fA("Replication server status","ffr-7-27.html");
P.fA("Replication server remote agents","ffr-7-28.html");
P.fA("Replication remote agents status","ffr-7-29.html");
P.fA("Replication agent status","ffr-7-30.html");
P.fA("Virtual system tables for OpenEdge Replication","ffr-7-31.html");
P.fA("Virtual system table field descriptions","ffr-7-32.html");
P.fA("Utilities and OpenEdge Replication","ffr-7-33.html");
P.fA("Starting OpenEdge Replication with the Progress Explorer and dbman","ffr-7-34.html");
P.fA("OpenEdge Replication and database management systems","ffr-7-35.html");
P.fA("OpenEdge Replication Quick Command Summary","ffr-8-01.html");
P.fA("Configuring the OpenEdge Replication properties files","ffr-8-02.html");
P.fA("Setting up the source and target databases","ffr-8-03.html");
P.fA("Configuring OpenEdge Replication with deferred agent startup","ffr-8-04.html");
P.fA("Configuring OpenEdge Replication for one agent","ffr-8-05.html");
P.fA("Configuring OpenEdge Replication for two agents","ffr-8-06.html");
P.fA("Starting OpenEdge Replication","ffr-8-07.html");
P.fA("Stopping OpenEdge Replication","ffr-8-08.html");
P.fA("Terminating the OpenEdge Replication server and agent","ffr-8-09.html");
P.fA("Configuring for automatic transition","ffr-8-10.html");
P.fA("Configuring for manual transition","ffr-8-11.html");
P.fA("Using manual transition","ffr-8-12.html");
P.fA("Re-enabling OpenEdge Replication after transition","ffr-8-13.html");
P.fA("Restarting OpenEdge Replication Server after target shutdown","ffr-8-14.html");
P.fA("Monitoring an OpenEdge Replication database","ffr-8-15.html");
}
